/**
 * @(#)WebDownloadQueueMap.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * RIDUAL : ScanProperty
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/09/02
 */
package jp.co.nri.rid.web;

/* JAVA */
import	java.util.Vector;

/**
 * WebDownloadRoboがダウンロードしたファイルを入れるキューを管理するクラス。
 */
public class WebDownloadQueueMap extends HashVector{
	private	Vector	myDefaultQueue = null;
	
	public WebDownloadQueueMap(){}
	
	public void add(String[] ext ,Vector queue){
		for(int i=ext.length-1;0<=i;i--)	set(ext[i] ,queue);
	}
	
	public Vector get(String extension){
		Vector	queue = super.get(extension);
		return (null == queue) ? myDefaultQueue : queue;

	}
	
	public	void	setDefaultQueue(Vector queue){	myDefaultQueue = queue;	}
	public	Vector	getDefaultQueue(){ 				return myDefaultQueue;	}
}
